#include "ClientData.h"
#include <iomanip>
using std::setw;

#include <string>
using std::string;

ClientData::ClientData(int numb,string n, double sum)
{
    setID(numb);
    setName(n);
    setBalance(sum);
}

ClientData& ClientData::setID(int numb)
{
    ID=numb;
    return *this;
}

int ClientData::getID()
{
    return ID;
}

ClientData& ClientData:: setName(string n)
{
    name=n;
    return *this;
}

string ClientData:: getName()
{
    return name;
}

ClientData& ClientData:: setBalance(double sum)
{
    balance=sum;
    return *this;
}

double ClientData:: getBalance()
{
    return balance;
}

ostream &operator<<(ostream &output, ClientData &client)
{
    output<<setw(5)<<client.getID()<<setw(10)<<client.getName()<<setw(5)<<client.getBalance()<<endl;
    return output;
}
